| html-1.0.1.1: HTML combinator library | Source code | Contents | Index
Text.Html |
Portability | portable
Stability | provisional
Maintainer | Andy Gill <andy@galconn.com>
Description
An Html combinator library
Documentation
data HtmlElement | Source
Constructors
HtmlString String |
HtmlTag |
markupTag :: String |
markupAttrs :: [HtmlAttr] |
markupContent :: Html |
data HtmlAttr | Source
Constructors
HtmlAttr String String |
Instances
Show HtmlAttr
newtype Html | Source
Constructors
Html |
getHtmlElements :: [HtmlElement] |
Instances
ADDATTRS Html
HTML Html
HTMLTABLE Html
Show Html
class HTML a where | Source
Methods
toHtml :: a -> Html | Source
toHtmlFromList :: [a] -> Html | Source
Instances
HTML Char
HTML HotLink
HTML Html
HTML HtmlTable
HTML HtmlTree
HTML a => HTML [a]
class ADDATTRS a where | Source
Methods
(!) :: a -> [HtmlAttr] -> a | Source
Instances
ADDATTRS Html
ADDATTRS b => ADDATTRS (a -> b)
(<<) :: HTML a => (Html -> b) -> a -> b | Source
concatHtml :: HTML a => [a] -> Html | Source
(+++) :: (HTML a, HTML b) => a -> b -> Html | Source
noHtml :: Html | Source
tag :: String -> Html -> Html | Source
itag :: String -> Html | Source
emptyAttr :: String -> HtmlAttr | Source
intAttr :: String -> Int -> HtmlAttr | Source
strAttr :: String -> String -> HtmlAttr | Source
stringToHtmlString :: String -> String | Source
type URL = String | Source
primHtml :: String -> Html | Source
stringToHtml :: String -> Html | Source
lineToHtml :: String -> Html | Source
address :: Html -> Html | Source
anchor :: Html -> Html | Source
applet :: Html -> Html | Source
area :: Html | Source
basefont :: Html | Source
big :: Html -> Html | Source
blockquote :: Html -> Html | Source
body :: Html -> Html | Source
bold :: Html -> Html | Source
br :: Html | Source
caption :: Html -> Html | Source
center :: Html -> Html | Source
cite :: Html -> Html | Source
ddef :: Html -> Html | Source
define :: Html -> Html | Source
dlist :: Html -> Html | Source
dterm :: Html -> Html | Source
emphasize :: Html -> Html | Source
fieldset :: Html -> Html | Source
font :: Html -> Html | Source
form :: Html -> Html | Source
frame :: Html -> Html | Source
frameset :: Html -> Html | Source
h1 :: Html -> Html | Source
h2 :: Html -> Html | Source
h3 :: Html -> Html | Source
h4 :: Html -> Html | Source
h5 :: Html -> Html | Source
h6 :: Html -> Html | Source
header :: Html -> Html | Source
hr :: Html | Source
image :: Html | Source
input :: Html | Source
italics :: Html -> Html | Source
keyboard :: Html -> Html | Source
legend :: Html -> Html | Source
li :: Html -> Html | Source
meta :: Html | Source
noframes :: Html -> Html | Source
olist :: Html -> Html | Source
option :: Html -> Html | Source
paragraph :: Html -> Html | Source
param :: Html | Source
pre :: Html -> Html | Source
sample :: Html -> Html | Source
select :: Html -> Html | Source
small :: Html -> Html | Source
strong :: Html -> Html | Source
style :: Html -> Html | Source
sub :: Html -> Html | Source
sup :: Html -> Html | Source
table :: Html -> Html | Source
td :: Html -> Html | Source
textarea :: Html -> Html | Source
th :: Html -> Html | Source
thebase :: Html | Source
thecode :: Html -> Html | Source
thediv :: Html -> Html | Source
thehtml :: Html -> Html | Source
thelink :: Html -> Html | Source
themap :: Html -> Html | Source
thespan :: Html -> Html | Source
thetitle :: Html -> Html | Source
tr :: Html -> Html | Source
tt :: Html -> Html | Source
ulist :: Html -> Html | Source
underline :: Html -> Html | Source
variable :: Html -> Html | Source
action :: String -> HtmlAttr | Source
align :: String -> HtmlAttr | Source
alink :: String -> HtmlAttr | Source
alt :: String -> HtmlAttr | Source
altcode :: String -> HtmlAttr | Source
archive :: String -> HtmlAttr | Source
background :: String -> HtmlAttr | Source
base :: String -> HtmlAttr | Source
bgcolor :: String -> HtmlAttr | Source
border :: Int -> HtmlAttr | Source
bordercolor :: String -> HtmlAttr | Source
cellpadding :: Int -> HtmlAttr | Source
cellspacing :: Int -> HtmlAttr | Source
checked :: HtmlAttr | Source
clear :: String -> HtmlAttr | Source
code :: String -> HtmlAttr | Source
codebase :: String -> HtmlAttr | Source
color :: String -> HtmlAttr | Source
cols :: String -> HtmlAttr | Source
colspan :: Int -> HtmlAttr | Source
compact :: HtmlAttr | Source
content :: String -> HtmlAttr | Source
coords :: String -> HtmlAttr | Source
enctype :: String -> HtmlAttr | Source
face :: String -> HtmlAttr | Source
frameborder :: Int -> HtmlAttr | Source
height :: Int -> HtmlAttr | Source
href :: String -> HtmlAttr | Source
hspace :: Int -> HtmlAttr | Source
httpequiv :: String -> HtmlAttr | Source
identifier :: String -> HtmlAttr | Source
ismap :: HtmlAttr | Source
lang :: String -> HtmlAttr | Source
link :: String -> HtmlAttr | Source
marginheight :: Int -> HtmlAttr | Source
marginwidth :: Int -> HtmlAttr | Source
maxlength :: Int -> HtmlAttr | Source
method :: String -> HtmlAttr | Source
multiple :: HtmlAttr | Source
name :: String -> HtmlAttr | Source
nohref :: HtmlAttr | Source
noresize :: HtmlAttr | Source
noshade :: HtmlAttr | Source
nowrap :: HtmlAttr | Source
rel :: String -> HtmlAttr | Source
rev :: String -> HtmlAttr | Source
rows :: String -> HtmlAttr | Source
rowspan :: Int -> HtmlAttr | Source
rules :: String -> HtmlAttr | Source
scrolling :: String -> HtmlAttr | Source
selected :: HtmlAttr | Source
shape :: String -> HtmlAttr | Source
size :: String -> HtmlAttr | Source
src :: String -> HtmlAttr | Source
start :: Int -> HtmlAttr | Source
target :: String -> HtmlAttr | Source
text :: String -> HtmlAttr | Source
theclass :: String -> HtmlAttr | Source
thestyle :: String -> HtmlAttr | Source
thetype :: String -> HtmlAttr | Source
title :: String -> HtmlAttr | Source
usemap :: String -> HtmlAttr | Source
valign :: String -> HtmlAttr | Source
value :: String -> HtmlAttr | Source
version :: String -> HtmlAttr | Source
vlink :: String -> HtmlAttr | Source
vspace :: Int -> HtmlAttr | Source
width :: String -> HtmlAttr | Source
validHtmlTags :: [String] | Source
validHtmlITags :: [String] | Source
validHtmlAttrs :: [String] | Source
aqua :: String | Source
black :: String | Source
blue :: String | Source
fuchsia :: String | Source
gray :: String | Source
green :: String | Source
lime :: String | Source
maroon :: String | Source
navy :: String | Source
olive :: String | Source
purple :: String | Source
red :: String | Source
silver :: String | Source
teal :: String | Source
yellow :: String | Source
white :: String | Source
linesToHtml :: [String] -> Html | Source
primHtmlChar :: String -> Html | Source
copyright :: Html | Source
spaceHtml :: Html | Source
bullet :: Html | Source
p :: Html -> Html | Source
class HTMLTABLE ht where | Source
Methods
cell :: ht -> HtmlTable | Source
Instances
HTMLTABLE Html
HTMLTABLE HtmlTable
newtype HtmlTable | Source
Constructors
HtmlTable (BlockTable (Int -> Int -> Html)) |
Instances
HTML HtmlTable
HTMLTABLE HtmlTable
Show HtmlTable
(</>) :: (HTMLTABLE ht1, HTMLTABLE ht2) => ht1 -> ht2 -> HtmlTable | Source
above :: (HTMLTABLE ht1, HTMLTABLE ht2) => ht1 -> ht2 -> HtmlTable | Source
(<->) :: (HTMLTABLE ht1, HTMLTABLE ht2) => ht1 -> ht2 -> HtmlTable | Source
beside :: (HTMLTABLE ht1, HTMLTABLE ht2) => ht1 -> ht2 -> HtmlTable | Source
aboves :: HTMLTABLE ht => [ht] -> HtmlTable | Source
besides :: HTMLTABLE ht => [ht] -> HtmlTable | Source
simpleTable :: [HtmlAttr] -> [HtmlAttr] -> [[Html]] -> Html | Source
mkHtmlTable :: BlockTable (Int -> Int -> Html) -> HtmlTable | Source
renderTable :: BlockTable (Int -> Int -> Html) -> Html | Source
data HtmlTree | Source
Constructors
HtmlLeaf Html |
HtmlNode Html [HtmlTree] Html |
Instances
HTML HtmlTree
treeHtml :: [String] -> HtmlTree -> Html | Source
debugHtml :: HTML a => a -> Html | Source
data HotLink | Source
Constructors
HotLink |
hotLinkURL :: URL |
hotLinkContents :: [Html] |
hotLinkAttributes :: [HtmlAttr] |
Instances
HTML HotLink
Show HotLink
hotlink :: URL -> [Html] -> HotLink | Source
ordList :: HTML a => [a] -> Html | Source
unordList :: HTML a => [a] -> Html | Source
defList :: (HTML a, HTML b) => [(a, b)] -> Html | Source
widget :: String -> String -> [HtmlAttr] -> Html | Source
checkbox :: String -> String -> Html | Source
hidden :: String -> String -> Html | Source
radio :: String -> String -> Html | Source
reset :: String -> String -> Html | Source
submit :: String -> String -> Html | Source
password :: String -> Html | Source
textfield :: String -> Html | Source
afile :: String -> Html | Source
clickmap :: String -> Html | Source
menu :: String -> [Html] -> Html | Source
gui :: String -> Html -> Html | Source
renderHtml :: HTML html => html -> String | Source
prettyHtml :: HTML html => html -> String | Source
renderHtml' :: Int -> HtmlElement -> ShowS | Source
prettyHtml' :: HtmlElement -> [String] | Source
renderTag :: Bool -> String -> [HtmlAttr] -> Int -> ShowS | Source
Produced by Haddock version 0.9